## Apache Zeta Components Manual :: Docs For Class ezcSystemInfoException

### SystemInformation::ezcSystemInfoException

### Class ezcSystemInfoException

This class provides an exception container for use with the SystemInformation component.

Source for this file: /SystemInformation/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcSystemInfoException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcSystemInfoReaderCantScanOSException | Reader can't scan OS for system values exception.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3